aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorTrevor Woerner <twoerner@gmail.com>2015-12-22 10:45:25 -0500
committerMartin Jansa <Martin.Jansa@gmail.com>2016-01-04 14:56:23 +0100
commitc13175d91321b34b7b15e84f969dd0043de8867f (patch)
tree8a60577ff5c36fe5859eb5c36943d8c9f24016c9 /contrib
parente05057c587b546c2a7de7380049cbd270cb95803 (diff)
downloadmeta-openembedded-c13175d91321b34b7b15e84f969dd0043de8867f.tar.gz
meta-openembedded-c13175d91321b34b7b15e84f969dd0043de8867f.tar.bz2
meta-openembedded-c13175d91321b34b7b15e84f969dd0043de8867f.zip
nodejs: cleanup and update
Remove old nodejs4_0.4.12 and update nodejs_0.12.7 to the latest stable nodejs_4.2.3. Nodejs is picky about which architectures it supports. The supported arch mapping required some updating to bring it up to date with the current nodejs code. Add COMPATIBLE_MACHINE entries so it only builds for the supported architectures. ARM cores that don't support at least VFP2 have been dropped: https://groups.google.com/forum/#!topic/v8-users/aSOFbaAQvMk "Due the increasing cost of the keeping the "no-VFPv2" port of V8 working on ARM, we are planning on making 3.17 the last V8 release that that supports ARM chips without VFPv2. Starting with the 3.18 release, the minimal V8 requirements will increase to ARMv6 + VFPv2. In order to simplify maintenance, we will also remove the "pre-VFP2" ARM code from the V8 code base." Additionally, gcc no longer supports a VFPv2 option: https://gcc.gnu.org/onlinedocs/gcc/ARM-Options.html#index-mfpu-1460 Signed-off-by: Trevor Woerner <twoerner@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Diffstat (limited to 'contrib')
0 files changed, 0 insertions, 0 deletions